%define srcname backoff

Name:           python-%{srcname}
Version:        2.2.1
Release:        %mkrel 2
Group:          Development/Python
License:        MIT
Summary:        Function decoration for backoff and retry
URL:            https://github.com/litl/backoff
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(poetry-core)

%description
This module provides function decorators which can be used to wrap
a function such that it will be retried until some condition is met.
It is meant to be of use when accessing unreliable resources with the
potential for intermittent failures i.e. network resources and external
APIs. Somewhat more generally, it may also be of use for dynamically
polling resources for externally generated content.

%package -n python3-%{srcname}
Summary:        Function decoration for backoff and retry
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This module provides function decorators which can be used to wrap
a function such that it will be retried until some condition is met.
It is meant to be of use when accessing unreliable resources with the
potential for intermittent failures i.e. network resources and external
APIs. Somewhat more generally, it may also be of use for dynamically
polling resources for externally generated content.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.rst


%changelog
* Thu Dec 07 2023 wally <wally> 2.2.1-2.mga10
+ Revision: 2015293
- rebuild for py3.12

* Sun Sep 17 2023 daviddavid <daviddavid> 2.2.1-1.mga10
+ Revision: 1987438
- initial package python-backoff (needed for mock >= 5.1)

